# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5

PYTHON_COMPAT=( python2_7 )

inherit distutils-r1 user

DESCRIPTION="MotionEye is a web-based frontend for media-video/motion."
HOMEPAGE="https://github.com/ccrisan/motioneye/ https://pypi.python.org/pypi/motioneye"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"

LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="amd64 ~x86"
IUSE="hub"

RDEPEND="dev-python/jinja
	dev-python/pillow
	dev-python/pycurl
	!hub? ( media-tv/v4l-utils
		media-video/ffmpeg[v4l]
		media-video/motion )
	net-misc/curl
	virtual/jpeg
	www-servers/tornado"

DEPEND="${RDEPEND}"

pkg_setup() {
	enewgroup ${PN}
	enewuser ${PN} -1 -1 /etc/${PN} ${PN}
}

src_install() {
	distutils-r1_src_install

	mkdir -p "${D}/etc/${PN}/"
	cp "${FILESDIR}/${PN}.conf" "${D}/etc/${PN}/"
	cp /etc/motion.conf "${D}/etc/${PN}/"
	chown -R ${PN}:${PN} "${D}/etc/${PN}/"
	chmod 750 "${D}/etc/${PN}"
	doinitd "${FILESDIR}/${PN}"
}

pkg_postinst() {
	elog ''
	elog "You may copy /etc/motion.conf to /etc/motioneye/motion.conf"
	elog "Start service:"
	elog "  # /etc/init.d/motioneye start"
	elog "Go in yore web browther to http://127.0.0.1:8765"
	elog "Use admin with empty password when prompted for credentials."
	elog ''
	elog "Change IP, port and credentials for security!"
	elog ''
}
